Subject: bug#73641: 30.0.90; Math in EWW/shr

From: Jeremy Bryant <[email-masked]>
Date: Thu, 10 Oct 2024 21:24:31 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Augusto Stoffel <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 10 Oct 2024 12:49:10 +0200
>> 
>> On Thu, 10 Oct 2024 at 10:43, Eli Zaretskii wrote:
>> 
>> > I don't think I understand what you are proposing.  What is the
>> > "baseline" implementation for math tags? what will it entail and what
>> > will it allow/enable?
>> 
>> I refer precisely to the code from the bug's first message, which also
>> has an example of the result.
>
> Ah, okay.  That's fine, but please add some comment there that we fall
> back to the text variant because we don't (yet) know how to do better.
>
>> > The basic question is what these produce as output, and how can Emacs
>> > display what they produce?  The best alternative for Emacs is to have
>> > a tool that can generate characters, which could then be rendered
>> > using a suitable font.
>> 
>> MathJax is this tool.  It can render formulas as "HTML with complicated
>> styling" to resize and move around characters and symbols.  I don't
>> think Emacs could display such things in general.
>
> Do you know what is missing for us to be able to display that?
>
>> >  The (distant) second best is a tool that generates an image.
>> 
>> I think an image with readable text beneath it is quite alright.
>
> Display of inline images in Emacs has quite a few limitations that
> make it less desirable for this purpose, IMO.
>
> Thanks.

As this is related to shr and displaying svg images, this reminds me of
a patch of Sacha earlier this year.

Perhaps Sacha you have a suggestion on this?